Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision c26cff1e0ed7742d46b082f7848a0684e54c3027)
+++ chapter01/changelog.xml	(revision fa510ae7f45ef5de9b5275e3942e3573d0f06d89)
@@ -43,4 +43,58 @@
     appropriate for the entry or if needed the entire day's listitem.
     -->
+    <listitem>
+      <para>2021-03-15</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to vim-8.2.2604. Addreses
+          <ulink url="&lfs-ticket-root;4500">#4500</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to iana-etc-20210304. Addreses
+          <ulink url="&lfs-ticket-root;4722">#4722</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to zstd-1.4.9. Fixes
+          <ulink url="&lfs-ticket-root;4827">#4827</ulink>.</para>
+        </listitem>
+        <listitem revision="sysv">
+          <para>[bdubbs] - Update to sysvinit-2.99. Fixes
+          <ulink url="&lfs-ticket-root;4822">#4822</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.11.6. Fixes
+          <ulink url="&lfs-ticket-root;4824">#4824</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libcap-2.49. Fixes
+          <ulink url="&lfs-ticket-root;4831">#4831</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to iproute2-5.11.0. Fixes
+          <ulink url="&lfs-ticket-root;4823">#4823</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to e2fsprogs-1.46.2. Fixes
+          <ulink url="&lfs-ticket-root;4826">#4826</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bison-3.7.6. Fixes
+          <ulink url="&lfs-ticket-root;4828">#4828</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bc-3.3.3. Fixes
+          <ulink url="&lfs-ticket-root;4825">#4825</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to attr-2.5.0. Fixes
+          <ulink url="&lfs-ticket-root;4830">#4830</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to acl-2.3.0. Fixes
+          <ulink url="&lfs-ticket-root;4829">#4829</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem revision="systemd">
       <para>2021-03-05</para>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision c26cff1e0ed7742d46b082f7848a0684e54c3027)
+++ chapter01/whatsnew.xml	(revision fa510ae7f45ef5de9b5275e3942e3573d0f06d89)
@@ -31,10 +31,10 @@
     <para>None</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Acl-&acl-version;</para>
-    </listitem>-->
-    <!--<listitem>
+    </listitem>
+    <listitem>
       <para>Attr-&attr-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Autoconf-&autoconf-version;</para>
@@ -46,13 +46,13 @@
       <para>Bash &bash-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Bc &bc-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Binutils-&binutils-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Bison-&bison-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Bzip2-&bzip2-version;</para>
@@ -73,7 +73,7 @@
       <para>Diffutils-&diffutils-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
        <para>E2fsprogs-&e2fsprogs-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem revision="sysv">
        <para>Eudev-&eudev-version;</para>
@@ -121,13 +121,13 @@
       <para>Groff-&groff-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>GRUB-&grub-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Gzip-&gzip-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>IANA-Etc-&iana-etc-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Inetutils-&inetutils-version;</para>
@@ -136,7 +136,7 @@
       <para>Intltool-&intltool-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>IPRoute2-&iproute2-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Kbd-&kbd-version;</para>
@@ -151,7 +151,7 @@
       <para>LFS-Bootscripts-&lfs-bootscripts-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Libcap-&libcap-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Libelf-&elfutils-version; (from elfutils)</para>
@@ -166,7 +166,7 @@
       <para>Libtool-&libtool-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Linux-&linux-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>M4-&m4-version;</para>
@@ -226,13 +226,13 @@
       <para>Shadow-&shadow-version;</para>
     </listitem>-->
-    <!--<listitem revision="sysv">
+    <listitem revision="sysv">
       <para>Sysklogd-&sysklogd-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem revision="systemd">
       <para>Systemd-&systemd-version;</para>
     </listitem>-->
-    <!--<listitem revision="sysv">
+    <listitem revision="sysv">
       <para>SysVinit-&sysvinit-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Tar-&tar-version;</para>
@@ -250,7 +250,7 @@
       <para>Util-Linux-&util-linux-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Vim-&vim-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>XML-Parser-&xml-parser-version;</para>
@@ -262,7 +262,7 @@
       <para>Zlib-&zlib-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Zstd-&zstd-version;</para>
-    </listitem>-->
+    </listitem>
   </itemizedlist>
 
Index: chapter08/bc.xml
===================================================================
--- chapter08/bc.xml	(revision c26cff1e0ed7742d46b082f7848a0684e54c3027)
+++ chapter08/bc.xml	(revision fa510ae7f45ef5de9b5275e3942e3573d0f06d89)
@@ -52,5 +52,5 @@
         <term><parameter>CC=gcc"</parameter></term>
         <listitem>
-          <para>These parameters specify the compiler to use.</para>
+          <para>This parameter specifies the compiler to use.</para>
         </listitem>
       </varlistentry>
Index: chapter08/grub.xml
===================================================================
--- chapter08/grub.xml	(revision c26cff1e0ed7742d46b082f7848a0684e54c3027)
+++ chapter08/grub.xml	(revision fa510ae7f45ef5de9b5275e3942e3573d0f06d89)
@@ -41,9 +41,4 @@
     <title>Installation of GRUB</title>
 
-    <para>First, fix an issue introduced by binutils-2.36:</para>
-
-<screen><userinput remap="pre">sed "s/gold-version/&amp; -R .note.gnu.property/" \
-    -i Makefile.in grub-core/Makefile.in</userinput></screen>
-
     <para>Prepare GRUB for compilation:</para>
 
@@ -79,5 +74,7 @@
 <screen><userinput remap="make">make</userinput></screen>
 
-    <para>This package does not come with a test suite.</para>
+    <para>The test suite for this packages is not recommended.  Most of
+    the tests depend on packages that are not available in the limited
+    LFS environment. To run the tests anyway, run <command>make check</command>.</para>
 
     <para>Install the package:</para>
Index: general.ent
===================================================================
--- general.ent	(revision c26cff1e0ed7742d46b082f7848a0684e54c3027)
+++ general.ent	(revision fa510ae7f45ef5de9b5275e3942e3573d0f06d89)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20210302">
+<!ENTITY version         "SVN-20210315">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20210302-systemd">
+<!ENTITY versiond        "20210315-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "March 2nd, 2021">
+<!ENTITY releasedate     "March 15th, 2021">
 
 <!ENTITY copyrightdate   "1999-2021"><!-- jhalfs needs a literal dash, not &ndash; -->
@@ -41,9 +41,10 @@
 <!ENTITY external        "Optional dependencies">
                          
-<!ENTITY gnu             "https://ftp.gnu.org/gnu/">
-<!ENTITY gnu-software    "https://www.gnu.org/software/">
+<!ENTITY gnu             "http://ftp.gnu.org/gnu/">
+<!ENTITY gnu-software    "http://www.gnu.org/software/">
+<!ENTITY alpha-gnu       "http://alpha.gnu.org/gnu/">
 <!ENTITY kernel          "https://www.kernel.org/pub/">
 <!ENTITY sourceforge     "https://prdownloads.sourceforge.net/">
-<!ENTITY savannah        "https://download.savannah.gnu.org">
+<!ENTITY savannah        "http://download.savannah.gnu.org">
 <!ENTITY savannah-nongnu "https://savannah.nongnu.org">
 <!ENTITY github          "https://github.com">
Index: packages.ent
===================================================================
--- packages.ent	(revision c26cff1e0ed7742d46b082f7848a0684e54c3027)
+++ packages.ent	(revision fa510ae7f45ef5de9b5275e3942e3573d0f06d89)
@@ -14,16 +14,16 @@
 -->
 
-<!ENTITY acl-version "2.2.53">
-<!ENTITY acl-size "513 KB">
+<!ENTITY acl-version "2.3.0">
+<!ENTITY acl-size "507 KB">
 <!ENTITY acl-url "&savannah;/releases/acl/acl-&acl-version;.tar.gz">
-<!ENTITY acl-md5 "007aabf1dbb550bcddde52a244cd1070">
+<!ENTITY acl-md5 "e2d865a59763e5c2afdbf1e2ccfcef1b">
 <!ENTITY acl-home "&savannah-nongnu;/projects/acl">
 <!ENTITY acl-fin-du "2.8 MB">
 <!ENTITY acl-fin-sbu "0.1 SBU">
 
-<!ENTITY attr-version "2.4.48">
-<!ENTITY attr-size "457 KB">
+<!ENTITY attr-version "2.5.0">
+<!ENTITY attr-size "455 KB">
 <!ENTITY attr-url "&savannah;/releases/attr/attr-&attr-version;.tar.gz">
-<!ENTITY attr-md5 "bc1e5cb5c96d99b24886f1f527d3bb3d">
+<!ENTITY attr-md5 "d7f233f477651bc7b073ee74b8b485e2">
 <!ENTITY attr-home "&savannah-nongnu;/projects/attr">
 <!ENTITY attr-fin-du "4.2 MB">
@@ -58,8 +58,8 @@
 <!ENTITY bash-fin-sbu "1.6 SBU">
 
-<!ENTITY bc-version "3.3.0">
+<!ENTITY bc-version "3.3.3">
 <!ENTITY bc-size "225 KB">
 <!ENTITY bc-url "https://github.com/gavinhoward/bc/releases/download/&bc-version;/bc-&bc-version;.tar.xz">
-<!ENTITY bc-md5 "452ae2d467b1d7212bb7896c0c689825">
+<!ENTITY bc-md5 "9cb6dfa2770046e744bbba84771766ef">
 <!ENTITY bc-home "https://git.yzena.com/gavin/bc">
 <!ENTITY bc-fin-du "6.7 MB">
@@ -78,8 +78,8 @@
 <!ENTITY binutils-fin-sbu "6.2 SBU">
 
-<!ENTITY bison-version "3.7.5">
-<!ENTITY bison-size "2,561 KB">
+<!ENTITY bison-version "3.7.6">
+<!ENTITY bison-size "2,566 KB">
 <!ENTITY bison-url "&gnu;bison/bison-&bison-version;.tar.xz">
-<!ENTITY bison-md5 "9b762dc24a6723f86d14d957d3deeb90">
+<!ENTITY bison-md5 "d61aa92e3562cb7292b004ce96173cf7">
 <!ENTITY bison-home "&gnu-software;bison/">
 <!ENTITY bison-tmp-du "52 MB">
@@ -140,8 +140,8 @@
 <!ENTITY diffutils-fin-sbu "0.4 SBU">
 
-<!ENTITY e2fsprogs-version "1.46.1">
-<!ENTITY e2fsprogs-size "9,269 KB">
+<!ENTITY e2fsprogs-version "1.46.2">
+<!ENTITY e2fsprogs-size "9,2675 KB">
 <!ENTITY e2fsprogs-url "https://downloads.sourceforge.net/project/e2fsprogs/e2fsprogs/v&e2fsprogs-version;/e2fsprogs-&e2fsprogs-version;.tar.gz">
-<!ENTITY e2fsprogs-md5 "8c52585522b7ca6bdae2bdecba27b3a4">
+<!ENTITY e2fsprogs-md5 "e8ef5fa3b72557be5e9fe564a25da6eb">
 <!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net/">
 <!ENTITY e2fsprogs-fin-du "102 MB">
@@ -302,8 +302,9 @@
 <!ENTITY groff-fin-sbu "0.5 SBU">
 
-<!ENTITY grub-version "2.04">
-<!ENTITY grub-size "6,245 KB">
-<!ENTITY grub-url "https://ftp.gnu.org/gnu/grub/grub-&grub-version;.tar.xz">
-<!ENTITY grub-md5 "5aaca6713b47ca2456d8324a58755ac7">
+<!ENTITY grub-version "2.06~rc1">
+<!ENTITY grub-size "6,391 KB">
+<!--<!ENTITY grub-url "https://ftp.gnu.org/gnu/grub/grub-&grub-version;.tar.xz">-->
+<!ENTITY grub-url "https://alpha.gnu.org/gnu/grub/grub-&grub-version;.tar.xz">
+<!ENTITY grub-md5 "3c222b51347c182d655f9b94d5b56582">
 <!ENTITY grub-home "&gnu-software;grub/">
 <!ENTITY grub-fin-du "154 MB">
@@ -320,8 +321,8 @@
 <!ENTITY gzip-fin-sbu "0.1 SBU">
 
-<!ENTITY iana-etc-version "20210202">
+<!ENTITY iana-etc-version "20210304">
 <!ENTITY iana-etc-size "578 KB">
 <!ENTITY iana-etc-url "https://github.com/Mic92/iana-etc/releases/download/&iana-etc-version;/iana-etc-&iana-etc-version;.tar.gz">
-<!ENTITY iana-etc-md5 "1c193a4d6ca36274570d1505140a7bee">
+<!ENTITY iana-etc-md5 "db2d94cf0d1115c0107ae2aed966dbee">
 <!ENTITY iana-etc-home "https://www.iana.org/protocols">
 <!ENTITY iana-etc-fin-du "4.7 MB">
@@ -344,8 +345,8 @@
 <!ENTITY intltool-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY iproute2-version "5.10.0">
-<!ENTITY iproute2-size "781 KB">
+<!ENTITY iproute2-version "5.11.0">
+<!ENTITY iproute2-size "803 KB">
 <!ENTITY iproute2-url "&kernel;linux/utils/net/iproute2/iproute2-&iproute2-version;.tar.xz">
-<!ENTITY iproute2-md5 "19ffea480a21e600453776b7225f3319">
+<!ENTITY iproute2-md5 "a3c6b09590c0bd120f0ab0b6e36187a8">
 <!ENTITY iproute2-home "&kernel;linux/utils/net/iproute2/">
 <!ENTITY iproute2-fin-du "15 MB">
@@ -384,8 +385,8 @@
 <!ENTITY lfs-bootscripts-cfg-sbu "less than 0.1 SBU">
 
-<!ENTITY libcap-version "2.48">
-<!ENTITY libcap-size "130 KB">
+<!ENTITY libcap-version "2.49">
+<!ENTITY libcap-size "137 KB">
 <!ENTITY libcap-url "&kernel;linux/libs/security/linux-privs/libcap2/libcap-&libcap-version;.tar.xz">
-<!ENTITY libcap-md5 "ca71693a9abe4e0ad9cc33a755ee47e0">
+<!ENTITY libcap-md5 "b43ae3690fe4d2cb32e4d25c0983ecd3">
 <!ENTITY libcap-home "https://sites.google.com/site/fullycapable/">
 <!ENTITY libcap-fin-du "45 MB">
@@ -417,11 +418,11 @@
 
 <!ENTITY linux-major-version "5">
-<!ENTITY linux-minor-version "10">
-<!ENTITY linux-patch-version "17">
+<!ENTITY linux-minor-version "11">
+<!ENTITY linux-patch-version "6">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "113,548 KB">
+<!ENTITY linux-size "114,881 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "4908707ed841923d8d1814130d5c380f">
+<!ENTITY linux-md5 "2ee99a4ae9dc9aca99386a6e8fb7b11f">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 5.8.3 / gcc-10.2.0 on x86_64 : minimum is
@@ -639,8 +640,8 @@
 <!ENTITY systemd-fin-sbu  "1.8 SBU">
 
-<!ENTITY sysvinit-version "2.98">
-<!ENTITY sysvinit-size "125 KB">
+<!ENTITY sysvinit-version "2.99">
+<!ENTITY sysvinit-size "124 KB">
 <!ENTITY sysvinit-url "&savannah;/releases/sysvinit/sysvinit-&sysvinit-version;.tar.xz">
-<!ENTITY sysvinit-md5 "e3254f7622ea5cf2322b1b386a98ba59">
+<!ENTITY sysvinit-md5 "6abc0ea61b8dd4a41b4e931a43b1bb90">
 <!ENTITY sysvinit-home "&savannah-nongnu;/projects/sysvinit">
 <!ENTITY sysvinit-fin-du "1.4 MB">
@@ -702,11 +703,11 @@
 <!ENTITY util-linux-fin-sbu "1.1 SBU">
 
-<!ENTITY vim-version "8.2.2433">
+<!ENTITY vim-version "8.2.2604">
 <!ENTITY vim-majmin "82">
 <!ENTITY vim-docdir "vim/vim82">
-<!ENTITY vim-size "15,051 KB">
+<!ENTITY vim-size "15,084 KB">
 <!--<!ENTITY vim-url "https://github.com/vim/vim/archive/v&vim-version;/vim-&vim-version;.tar.gz">-->
 <!ENTITY vim-url "&anduin-sources;/vim-&vim-version;.tar.gz">
-<!ENTITY vim-md5 "a26555c8919cf40938d2428d834bf913">
+<!ENTITY vim-md5 "b9b50ddd0327cef5f1985b0222b8473f">
 <!ENTITY vim-home "https://www.vim.org">
 <!ENTITY vim-fin-du "208 MB">
@@ -739,8 +740,8 @@
 <!ENTITY zlib-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY zstd-version "1.4.8">
-<!ENTITY zstd-size "1,762 KB">
+<!ENTITY zstd-version "1.4.9">
+<!ENTITY zstd-size "1,779 KB">
 <!ENTITY zstd-url "https://github.com/facebook/zstd/releases/download/v&zstd-version;/zstd-&zstd-version;.tar.gz">
-<!ENTITY zstd-md5 "e873db7cfa5ef05832e6d55a5a572840">
+<!ENTITY zstd-md5 "eb718b8aae0302cabe20f968e500534d">
 <!ENTITY zstd-home "https://facebook.github.io/zstd/">
 <!ENTITY zstd-fin-du "59 MB">
